Jump to content

Recommended Posts

Posted

Hi,

 

I'm trying to create a solid pipe, i.e. a hollow cylinder but am completely stumped as to how to do so? Any help would be much appreciated.

 

Thanks

Posted

There are many ways to accomplish the task. You can extrude or sweep two circles along a "path" (i.e. - the centerline of your pipe) and then subtract the inner one from the outer one or you can use the Region command beforehand, along with the subtract command, and then extrude or sweep. Your choice. I think the topic has been covered several times already.

Posted

You can also use this method to create elbows.

Posted

Here are the steps to creating a hollow pipe.

 

First. Draw the inner and outer diameters of your pipe.

 

Second. Create two-dimensional closed areas from the circular shapes using the REGION command.

 

Third. Using the SUBTRACT command subtract the inner circle from the outer circle. It will appear as though nothing has changed but if you click on either circle they both are now treated as a single object.

 

Fourth. Create the “path” (i.e. – centerline) of your pipe.

 

Fifth: Use the SWEEP command to construct your pipe.

 

Sixth. Change to Conceptual or Realistic view and verify you now have a hollow pipe.

 

You may want to retain the centerline of the pipe by putting it on its own layer or you can erase it altogether.

 

And here is the before and after.

 

3D Pipe Sweep.jpg

Posted

search on this forum for Lee Mack's Pipe & Flange Draughtsman tool; it's fantastic for sizes from dn50 to dn250.

 

also, look in the help menu and read up about the 'Press-Pull' command. You should be abble to draw the OD & ID circles then whilst holding CTRL+ALT, click in the space between the circles (i.e. the pipe wall), autocad should identfy the pipe wall region and you can extrude that in one hit, as opposed to creating two cylinders and subtracting.

 

Have a read about grip editing solids and press-pull and loft.

Also, if you're doing pipework, have a read about the DUCS (dynamic UCS) and the 3d move and 3d align commands. Very useful.

Posted

PRESSPULL (no dash) incorporates the REGION command in its operation. Thank you Doove for mentioning it as another alternative.

Posted

a search on here for xpipe lisp and xtube will do just what you need for whatever size.

Posted

how to draw a hallow closed round tube in Autocad can anyone help me in this.

Posted

anjali:

 

One way is to create a half-profile of the tube and use the REVOLVE command.

Posted

Here is an example of what I mean.

 

Starting on the left you see one-half of a tube profile constructed with a closed polyline. Immediately to the right of that is the same profile with a reference line added. This is the point around which the object will be revolved. The next object is the tube shape in 3D. To prove it is a tube I cut a section through it. This is but one way to accomplish the task. I'm sure there are other ways to accomplish the same thing. Does this answer your question?

 

Revolved tube.jpg

Posted

I have got the exact shape i am looking for by using the turbo command.

any way thanks for the reply.

Posted
I have got the exact shape i am looking for by using the turbo command.

any way thanks for the reply.

 

OK...You've stumped me there. The turbo command? Never heard of it. Could you elaborate on this command?

Posted

Turbo?

 

I'd be interested in knowing what that one was too.

 

By the way, for all the pipe seekers out there, do a forum search for Lee Mac's Pipe & Flange Draughtsman tool for pipework & fittings up to DN250. It's a fabulous bit of lisp that'll give you 2D & 3D pipe & fittings.

  • 5 years later...
Posted

Here's the coolest way to accomplish solid hollow cylinders

 

;3D HOLLOW CYLINDER

(defun dtr (a)

(* pi(/ a 180.0))

)

(defun c:hcyl (/ p1 p2 dia thk hgt om)

(setq p1 (getpoint "\nStarting point: ")

p2 (getpoint p1 "\nEnding point: ")

dia (getdist "\nDiameter: ")

thk (getdist "\nThickness: ")

hgt (distance p1 p2))

(setq om(getvar "osmode"))

(setvar "osmode" 0)

(command "ucs" "za" p1 p2)

(setq p1 (list 0.0 0.0 0.0))

(command "polysolid" "h" hgt "w" thk "j" "c" p1 "a" (polar p1 (dtr 90) (- dia thk)) "c")

(command "ucs" "p")

(setvar "osmode" om)

)

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...